from django.contrib import admin
from django.utils.translation import ugettext_lazy as _

from jumbo.db.forms import AdminModelForm
from basket.models import Basket

class BasketAdminForm(AdminModelForm):
    class Meta:
        model = Basket
class BasketAdmin(admin.ModelAdmin):
    form = BasketAdminForm
    list_per_page = 30
    fieldsets = (
        (_('logs admin'), {'fields': ('creator', 'date_create','last_modifier', 'date_last_modify',), 'classes': ('collapse',)}),
        (None, {'fields': ('product', 'quantity', ('vat', 'price',), ('fee', 'discount',),),},),
    )
    #search_fields = ('product',)
    #list_display = ('product', 'quantity', 'price', 'fee', 'discount', 'vat')
    #list_display_links = ('product',)
#admin.site.register(Basket, BasketAdmin)

admin.site.register(Basket)