from django import template
from django.conf import settings
from django.utils.importlib import import_module

_get_basket_totals = import_module('basket.utils').get_basket_totals 

register = template.Library()

class GetBasketTotalNode(template.Node):
    def __init__(self, name):
        self.name = name

    def render(self, context):
        request = context['request']
        contact = request.user.contact
        context[self.name] = _get_basket_totals(contact)
        return ''

@register.tag
def get_basket_totals(parser, token):
    args = token.split_contents()
    if len(args) != 3 and args[1] != 'as':
        raise template.TemplateSyntaxError, "'get_basket_totals' requires 'as variable' (got %r)" % args
    return GetBasketTotalNode(args[2])

