from django.utils.translation import ugettext_lazy as _

from admin_tools.dashboard import modules

class DdtDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs =  {
            'title': "DDT",
            'display': "tabs",
            'children': [
                DdtModels(),
                DdtSettings(),
            ]
        }
        super(DdtDashboard, self).__init__(**kwargs)

class DdtModels(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs =  {
            'title': _("Models"),
            'models': ('ddt.models.Ddt', 'ddt.models.DdtRow'),
            }
        super(DdtModels, self).__init__(**kwargs)

class DdtSettings(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs =  {
            'title': _("Settings"),
            'models':['ddt.models.Settings',],
            }
        super(DdtSettings, self).__init__(**kwargs)

class DdtModelList(modules.ModelList):
    """
    generic dashboard diplays procedure menu
    """
    def __init__(self, **kwargs):
        kwargs =  {
            'title': _("Ddt"),
            'models':['ddt.models.Ddt',],
            'exclude':['ddt.models.DdtRow',]
        }
        super(DdtModelList, self).__init__(**kwargs)