from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu
from jumbo.conf.admin_menu import GenericMenuItem
from jumbo.middleware.thread_local import get_current_user


def add_extended_menuitems(children, current_app):
    gm = GenericMenuItem('ddt', [])
    user = get_current_user()
    # FIGLI DI CUSTOMER_DDT
    add_customer_ddt = items.MenuItem(
                title=_('Add DDT'),
                children=[],
                url = reverse('admin:ddt_ddt_add')
            )
    list_customer_ddt = items.MenuItem(
                title=_('List DDTs'),
                children=[],
                url = reverse('admin:ddt_ddt_changelist')
            )
    not_invoiced_customer_ddt = items.MenuItem(
                title=_('Not invoiced DDTs'),
                children=[],
                url = '%s?store_cause__category=cus&invoice=0' % reverse('admin:ddt_ddt_changelist')
            )
    invoiced_customer_ddt = items.MenuItem(
                title=_('Invoiced DDTs'),
                children=[],
                url = '%s?store_cause__category=cus&invoice=1' % reverse('admin:ddt_ddt_changelist')
            )
    customer_ddt_row = items.MenuItem(
                title=_('DDT rows'),
                children=[],
                url = '%s?store_cause__category=cus' % reverse('admin:ddt_ddtrow_changelist')
            )
    # PADRE CUSTOMER_DDT
    customer_ddt=items.MenuItem(
                title=_('Customer DDT'),
                children=[],
                url = reverse('admin:ddt_ddt_changelist')
            )

    if user.has_perm('ddt.view_customer_ddt'):
        customer_ddt.children.append(list_customer_ddt)
        customer_ddt.children.append(not_invoiced_customer_ddt)
        customer_ddt.children.append(invoiced_customer_ddt)
    if user.has_perm('ddt.add_customer_ddt'):
        customer_ddt.children.append(add_customer_ddt)
    if user.has_perm('ddt.view_customer_ddtrow'):
        customer_ddt.children.append(customer_ddt_row)
    if user.has_perm('ddt.view_customer_ddt'):
        gm.add_father(customer_ddt)

    # FIGLI DI SUPPLIER_DDT
    add_supplier_ddt = items.MenuItem(
                title=_('Add DDT'),
                children=[],
                url = reverse('admin:ddt_ddt_add')
            )
    list_supplier_ddt = items.MenuItem(
                title=_('List DDTs'),
                children=[],
                url = reverse('admin:ddt_ddt_changelist')
            )
    not_invoiced_supplier_ddt = items.MenuItem(
                title=_('Not invoiced DDTs'),
                children=[],
                url = '%s?store_cause__category=cus&invoice=0' % reverse('admin:ddt_ddt_changelist')
            )
    invoiced_supplier_ddt = items.MenuItem(
                title=_('Invoiced DDTs'),
                children=[],
                url = '%s?store_cause__category=cus&invoice=1' % reverse('admin:ddt_ddt_changelist')
            )
    supplier_ddt_row = items.MenuItem(
                title=_('DDT rows'),
                children=[],
                url = '%s?store_cause__category=cus' % reverse('admin:ddt_ddtrow_changelist')
            )
    # PADRE SUPPLIER_DDT
    supplier_ddt=items.MenuItem(
                title=_('Supplier DDT'),
                children=[],
                url = reverse('admin:ddt_ddt_changelist')
            )

    if user.has_perm('ddt.view_supplier_ddt'):
        supplier_ddt.children.append(list_supplier_ddt)
        supplier_ddt.children.append(not_invoiced_supplier_ddt)
        supplier_ddt.children.append(invoiced_supplier_ddt)
    if user.has_perm('ddt.add_supplier_ddt'):
        supplier_ddt.children.append(add_supplier_ddt)
    if user.has_perm('ddt.view_supplier_ddtrow'):
        supplier_ddt.children.append(supplier_ddt_row)
    if user.has_perm('ddt.view_supplier_ddt'):
        gm.add_father(supplier_ddt)

    menu = gm.get_menu()
    [ children.append(ddt_menu) for ddt_menu in menu ]

