# -*- coding: utf-8 -*-
from django import forms
from django.utils.translation import ugettext as _

from jumbo.forms.fields import MultiEmailField

class SendMailForm(forms.Form):
    mails       = forms.MultipleChoiceField(required=False, label=_("Send To"))
    other_mails = MultiEmailField(required=False, label=_("Other Mail Addresses"))
    attention_of = forms.CharField(required=False, label=_("Attention of"))

    def clean(self):
        cleaned_data = self.cleaned_data

        mails = cleaned_data.get('mails', [])
        other_mails = cleaned_data.get('other_mails', '')

        if not mails and not other_mails:
            raise forms.ValidationError("Field Mails or Other Mail Addresses is required.")

        return cleaned_data
