from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu
from jumbo.conf.admin_menu import GenericMenuItem
from jumbo.middleware.thread_local import get_current_user

def get_root_menu(children):
    user = get_current_user()
    if not user.has_perm("invoice.view_invoice"):
        return None

    root_menu = items.MenuItem(
        title=_('Invoices'),
        children=[],
        url = reverse('admin:invoice_invoice_changelist')
    )
    children.append(root_menu)
    
def add_extended_menuitems(children, current_app):
    gm = GenericMenuItem(current_app, [])

    user = get_current_user()
    # FIGLI DI CUSTOMER_INVOICE
    add_customer_invoice = items.MenuItem(
        title=_('Add invoice'),
        children=[],
        url = reverse('admin:invoice_invoice_add')
    )
    list_customer_invoice = items.MenuItem(
        title=_('List invoices'),
        children=[],
        url = reverse('admin:invoice_invoice_changelist')
    )
    customer_invoice_row= items.MenuItem(
        title=_('Invoices rows'),
        children=[],
        url = reverse('admin:invoice_invoicerow_changelist')
    )
    # PADRE CUSTOMER_INVOICE
    customer_invoice=items.MenuItem(
        title=_('Customer invoices'),
        children=[],
        url = reverse('admin:invoice_invoice_changelist')
    )

    if user.has_perm('invoice.view_customer_invoice'):
        customer_invoice.children.append(list_customer_invoice)
    if user.has_perm('invoice.add_customer_invoice'):
        customer_invoice.children.append(add_customer_invoice)
    if user.has_perm('invoice.view_customer_invoicerow'):
        customer_invoice.children.append(customer_invoice_row)
    if user.has_perm('invoice.view_customer_invoice'):
        gm.add_father(customer_invoice)
    
    # FIGLI DI SUPPLIER_INVOICE
    add_supplier_invoice = items.MenuItem(
        title=_('Add invoice'),
        children=[],
        url = reverse('admin:invoice_invoice_add')
    )
    list_supplier_invoice = items.MenuItem(
        title=_('List invoices'),
        children=[],
        url = reverse('admin:invoice_invoice_changelist')
    )
    supplier_invoice_row= items.MenuItem(
        title=_('Supplier rows'),
        children=[],
        url = reverse('admin:invoice_invoicerow_changelist')
    )
    # PADRE SUPPLIER_INVOICE
    supplier_invoice=items.MenuItem(
        title=_('Supplier invoices'),
        children=[],
        url = reverse('admin:invoice_invoice_changelist')
    )

    if user.has_perm('invoice.view_supplier_invoice'):
        supplier_invoice.children.append(list_supplier_invoice)
    if user.has_perm('invoice.add_supplier_invoice'):
        supplier_invoice.children.append(add_supplier_invoice)
    if user.has_perm('invoice.view_supplier_invoicerow'):
        supplier_invoice.children.append(supplier_invoice_row)
    if user.has_perm('invoice.view_supplier_invoice'):
        gm.add_father(supplier_invoice)

    invoice_menu = gm.get_menu()
    [ children.append(inv_menu) for inv_menu in invoice_menu ]