# -*- coding: utf-8 -*-
from django.db.models.signals import post_save, post_delete
from invoice.models import Invoice, InvoiceRow

def update_flag_invoice(sender, instance, created, **kwargs):
    pass
post_save.connect(update_flag_invoice, sender=Invoice)

def update_flag_invoicerow(sender, instance, created, **kwargs):
    if instance.ddtrow and instance.ddtrow.get_notinvoicedquantity() == 0:
        instance.ddtrow.invoice = True
        instance.ddtrow.save()

        if instance.ddtrow.ddt.is_allinvoiced():
            instance.ddtrow.ddt.invoice = True
            instance.ddtrow.ddt.save()

post_save.connect(update_flag_invoicerow, sender=InvoiceRow)

def update_flag_ddtrow(sender, instance, **kwargs):
    if instance.ddtrow:
        instance.ddtrow.invoice = False
        instance.ddtrow.save()
        instance.ddtrow.ddt.invoice = False
        instance.ddtrow.ddt.save()
        if instance.ddtrow.procedurerow:
            instance.ddtrow.procedurerow.invoice = False
            instance.ddtrow.procedurerow.save()
            instance.ddtrow.procedurerow.procedure.invoice = False
            instance.ddtrow.procedurerow.procedure.save()
            
    if instance.procedurerow:
        instance.procedurerow.invoice = False
        instance.procedurerow.save()
        instance.procedurerow.procedure.invoice = False
        instance.procedurerow.procedure.save()
    
post_delete.connect(update_flag_ddtrow, sender=InvoiceRow)
