# -*- coding: utf-8 -*-
from django.db.models.signals import post_save

from jumbo.utils.functions import get_settings
from jumbo.apps.project.models import Project

from procedure.models import Procedure, ProcedureRow
from ticket.models import TicketProject

#def update_flag_procedure(sender, instance, created, **kwargs):
#    pass
#post_save.connect(update_flag_procedure, sender=Procedure)

#def update_flag_procedurerow(sender, instance, created, **kwargs):
#    pass
#post_save.connect(update_flag_procedurerow, sender=ProcedureRow)

def post_save_procedure_project_create(sender, instance, created, **kwards):
    """
    post save signal: crea progetto quando viene creato un ordine.
    """
    create_project = get_settings("procedure.settings", "PROCEDURE_PROJECT_AUTOMATIC_CREATE")
    if (
        create_project and created and instance.store_cause.category == "cus"
        and not instance.project
    ):

        try:
            project = Project()
            project.organization = instance.owner
            project.name = "ordine %s del %s: %s" % (
                instance.number, instance.date_p, instance.description
            )
            project.save()
            instance.project = project
            instance.save()
        except Exception, e:
            raise Exception("Project is not automatic created")
post_save.connect(post_save_procedure_project_create, sender=Procedure)

def post_save_servicerow_ticketproject_create(sender, instance, created, **kwards):
    create_ticket_project = get_settings("procedure.settings", "SERVICEROW_TICKETPROJECT_AUTOMATIC_CREATE")
    if (
        create_ticket_project and created and instance.store_cause.category == "cus"
        and instance.store_cause.stock == 0 and instance.store_cause.busy == 0
        and instance.store_cause.move == "not" and not instance.project
        ):
        try:
            ticket_project = TicketProject()
            ticket_project.organization = instance.procedure.owner
            ticket_project.name = ticket_project.description = "ordine %s del %s - servizio %s" % (
                instance.procedure.number, instance.procedure.date_p, instance.get_description()
                )
            ticket_project.save()
            instance.project = ticket_project.project_ptr
            instance.save()
        except Exception, e:
            raise Exception(e)
post_save.connect(post_save_servicerow_ticketproject_create, sender=ProcedureRow)

def post_save_procedurerow_inherit_project(sender, instance, created, **kwards):
    inherit_project = get_settings("procedure.settings", "PRODUCTROW_INHERIT_PROJECT_FROM_PROCEDURE")
    if (
        inherit_project and created
        and instance.store_cause.stock != 0 and instance.store_cause.busy != 0
        and instance.store_cause.move != "not"
        and not instance.project and instance.procedure.project
    ):
        try:
            instance.project = instance.procedure.project
            instance.save()
        except Exception, e:
            raise Exception(e)
post_save.connect(post_save_procedurerow_inherit_project, sender=ProcedureRow)
