/** Init autosuggest on Search Input **/
$(document).ready(function() {
    // Set autosuggest options with all plugins activated
    var options = {
        script:"/procedure/assistance/ajax/get_organization_data/?",
        varname:"input",
        json:true,                      // Returned response type
        shownoresults:true,             // If disable, display nothing if no results
        noresults:"No Results",         // String displayed when no results
        maxresults:8,                   // Max num results displayed
        cache:false,                    // To enable cache
        minchars:3,                     // Start AJAX request with at leat 2 chars
        timeout:100000,                 // AutoHide in XX ms
        hiddenInput:'id_organization',  // Hidden Input to set selected ID
        watermark:'Type at least 2 characters..', // Watermark
        callback: function (obj) {      // Callback after click or selection
            populate_contact_address(obj);
        }
    };

    // Init autosuggest
    var as_json = new bsn.AutoSuggest('id_organization_c', options);

    // Nascondo i campi address e contact
    //document.getElementById("id_address").style.display = 'none';
    //document.getElementById("id_contact").style.display = 'none';
});

function populate_contact_address(obj) {
    document.getElementById("id_address").style.display = 'block';
    document.getElementById("id_contact").style.display = 'block';

    // Popolo le combo degli indirizzi
    $.ajax({
        url: '/procedure/assistance/ajax/get_organization_address/?id_org='+obj.id,
        type: 'GET',
        dataType: 'json',
        timeout: 1000,
        error: function(){
            alert('Error loading JSON document');
        },
        success: function(json){
            populate_address(json);
        }
    });

    // Popolo le combo dei contatti
    $.ajax({
        url: '/procedure/assistance/ajax/get_organization_contacts/?id_org='+obj.id,
        type: 'GET',
        dataType: 'json',
        timeout: 1000,
        error: function(){
            alert('Error loading JSON document');
        },
        success: function(json){
            populate_contacts(json);
        }
    });

}

function populate_address(json) {
    var address=document.getElementById("id_address");
    var results = json.results

    removeOption("id_address");

    for (i=0; i<results.length;i++) {
        address.add(new Option(results[i].value, results[i].id), null) //add new option to end of "sample"
    }
}

function populate_contacts(json) {
    var contact=document.getElementById("id_contact");
    var results = json.results

    removeOption("id_contact");

    for (i=0; i<results.length;i++) {
        contact.add(new Option(results[i].value, results[i].id), null) //add new option to end of "sample"
    }
}

function removeOption(el)
{
  var elSel = document.getElementById(el);
  var i;
  for (i = elSel.length - 1; i>=0; i--) {
      elSel.remove(i);
  }
}
