var NUM_PER_PAGE = 30;
var grid_assistance;
var URL = '/procedure/assistance/ajax/list/';

Ext.onReady(function(){
    Ext.QuickTips.init();

    var nav_filter = new Ext.Panel({
                title: 'Parametri ricerca',
                width: '85%',
                collapsible: true,
                collapsed: true,
                contentEl: 'content_navigation_filter'
            });

    nav_filter.render('navigation_filter');

    function renderAR(value, p, record){
        return String.format("<a href='#' onclick=\"window.open('/procedure/assistancerow/?assistance=" + record.id + "&small_view', 'Popup', 'top=200, left=200, width=800, height=400, scrollbars=yes');return false;\"><img src='/static/img/document.png' title=\"Detail Assistance Rows\" /></a>");
    }

    function renderLink(value, p, record){
        return String.format("<a href='/procedure/assistance/"+record.data.id+"/'/'>"+value+"</a>")
    }

    var myProxy = new Ext.data.HttpProxy({
        url: URL,
        method: 'GET'
    });

    var myReader = new Ext.data.JsonReader({
        root: 'data',
        totalProperty: 'total',
        id: 'id',
        fields: [
            {name: 'id'},
            {name: 'status'},
            {name: 'cstatus'},
            {name: 'date_a'},
            {name: 'manager'},
            {name: 'worker'},
            {name: 'organization'},
            {name: 'contact'},
            {name: 'priority'},
            {name: 'nra'},
            {name: 'rtime'},
            {name: 'ctime'},
            {name: 'ar'},
            {name: 'description_product'},
            {name: 'description_defect'},
            {name: 'description_job'},
        ]
    });

     var expander = new Ext.grid.RowExpander({
        tpl : new Ext.Template(
            '<p><b>Product Description:</b> {description_product}</p><br>',
            '<p><b>Defect Description:</b> {description_defect}</p><br>',
            '<p><b>Job Description:</b> {description_job}</p>'
        )
    });

    var cm = new Ext.grid.ColumnModel([
        expander,
        {header: "Status", width: 10, dataIndex: "status"},
        {header: "CStatus", width: 10, dataIndex: "cstatus"},
        {header: "Date", width: 15, renderer: renderLink, dataIndex: "date_a"},
        {header: "Manager", width: 10, dataIndex: "manager"},
        {header: "Worker", width: 10, dataIndex: "worker"},
        {header: "Organization", width: 20, dataIndex: "organization"},
        {header: "Contact", width: 15, dataIndex: "contact"},
        {header: "Priority", width: 10, dataIndex: "priority"},
        {header: "NRA", width: 5, align: "right", dataIndex: "nra"},
        {header: "RTime", width: 10, dataIndex: "rtime"},
        {header: "CTime", width: 10, dataIndex: "ctime"},
        {header: "AR", width: 5, renderer: renderAR, dataIndex: "ar"},
    ]);
    cm.defaultSortable = true;

    ds = new Ext.data.Store({
        proxy: myProxy,
        reader: myReader,
        remoteSort: true
    });
    ds.setDefaultSort('date_create', 'DESC');

    bbar = new Ext.PagingToolbar({
        pageSize: NUM_PER_PAGE,
        store: ds,
        displayInfo: true,
        displayMsg: 'Visualizzo assistenza {0} - {1} di {2}',
        emptyMsg: "Nessuna assistenza da visualizzare"
    });

    grid_assistance = new Ext.grid.GridPanel({
        el:'grid_assistance',
        title:'Lista Assistenze',
        width:'85%',
        plugins: expander,
        loadMask: true,
        viewConfig: {forceFit: true},
        autoHeight: true,
        enableColumnHide: false,
        store: ds,
        cm: cm,
        bbar: bbar
    });
    grid_assistance.render();

    myForm = new Ext.form.BasicForm('search_form', {'standardSubmit':true});
    grid_assistance.getStore().baseParams = myForm.getValues();
    // trigger the data store load
    ds.load({params:{start:0, limit:NUM_PER_PAGE}});

});

function reload_grid() {
    grid_assistance.getStore().reload();
}
