var NUM_PER_PAGE = 30;
var grid_assistancerow;
var URL = '/procedure/assistancerow/ajax/list/';

Ext.onReady(function(){
    Ext.QuickTips.init();

    var nav_filter = new Ext.Panel({
                title: 'Parametri ricerca',
                width: '99%',
                collapsible: true,
                collapsed: true,
                contentEl: 'content_navigation_filter'
            });

    nav_filter.render('navigation_filter');

    function renderLink(value, p, record){
        return String.format("<a href='/procedure/assistancerow/"+record.data.id+"/'/'>"+value+"</a>")
    }

    function renderLinkAssistance(value, p, record){
        return String.format("<a href='/procedure/assistance/"+record.data.assistance_id+"/'/'>"+value+"</a>")
    }

    function renderIcon(value, p, record){
        if (value == 0) {
            return String.format("<img src='/media/img/admin/icon-no.gif' title=\"False\" />");
            }
        else {
            return String.format("<img src='/media/img/admin/icon-yes.gif' title=\"True\" />");
        }
    }

    function add_new_row(){
        window.open('/procedure/assistancerow/add/2/', '_blank', 'top=200, left=200, width=700, height=600, status=no, menubar=no, toolbar=no, scrollbars=yes');
        return false;
    }

    var myProxy = new Ext.data.HttpProxy({
        url: URL,
        method: 'GET'
    });

    var myReader = new Ext.data.JsonReader({
        root: 'data',
        totalProperty: 'total',
        id: 'id',
        fields: [
            {name: 'id'},
            {name: 'status'},
            {name: 'assistance'},
            {name: 'assistance_id'},
            {name: 'worker'},
            {name: 'date_begin'},
            {name: 'date_end'},
            {name: 'work_duration'},
            {name: 'extra_duration'},
            {name: 'travel_duration'},
            {name: 'real_duration'},
            {name: 'calculated_duration'},
            {name: 'kilometers'},
            {name: 'overnight_stay'},
            {name: 'carrying'},
            {name: 'pay_exit'}
        ]
    });

    var cm = new Ext.grid.ColumnModel([
        {header: "Status", width: 10, dataIndex: "status"},
        {header: "Assistance", width: 10, renderer: renderLinkAssistance, dataIndex: "assistance"},
        {header: "Worker", width: 10, dataIndex: "worker"},
        {header: "Date Begin", width: 11, renderer: renderLink, dataIndex: "date_begin"},
        {header: "Date End", width: 11, renderer: renderLink, dataIndex: "date_end"},
        {header: "Work Duration", width: 10, align: "right", dataIndex: "work_duration"},
        {header: "Travel Duration", width: 10, align: "right", dataIndex: "extra_duration"},
        {header: "Real Duration", width: 10, align: "right", dataIndex: "real_duration"},
        {header: "Calculated Duration", width: 10, align: "right", dataIndex: "calculated_duration"},
        {header: "Km", width: 5, align: "right", dataIndex: "kilometers"},
        {header: "Over Night", width: 10, align: "center", renderer: renderIcon, dataIndex: "overnight_stay"},
        {header: "Carrying", width: 10, dataIndex: "carrying"},
        {header: "Pay Exit", width: 5, align: "center", renderer: renderIcon, dataIndex: "pay_exit"}
    ]);
    cm.defaultSortable = true;

    ds = new Ext.data.Store({
        proxy: myProxy,
        reader: myReader,
        remoteSort: true
    });
    ds.setDefaultSort('worker', 'ASC');

    bbar = new Ext.PagingToolbar({
        pageSize: NUM_PER_PAGE,
        store: ds,
        displayInfo: true,
        displayMsg: 'Visualizzo assistenza {0} - {1} di {2}',
        emptyMsg: "Nessuna assistenza da visualizzare"
    });

    tbar = [{
        text:'ADD ROW',
        tooltip:'Add a new Assistance Row',
        iconCls:'add',
        handler: add_new_row
    }];

    grid_assistancerow = new Ext.grid.GridPanel({
        el:'grid_assistancerow',
        title:'Lista Righe Assistenze',
        width:'99%',
        loadMask: true,
        viewConfig: {forceFit: true},
        autoHeight: true,
        enableColumnHide: false,
        store: ds,
        cm: cm,
        bbar: bbar,
        tbar: tbar
    });
    grid_assistancerow.render();

    myForm = new Ext.form.BasicForm('search_form', {'standardSubmit':true});
    grid_assistancerow.getStore().baseParams = myForm.getValues();
    // trigger the data store load
    ds.load({params:{start:0, limit:NUM_PER_PAGE}});

});

function reload_grid() {
    grid_assistancerow.getStore().reload();
}