from django.contrib import admin
from django.utils.translation import ugettext_lazy as _
from jumbo.admin.options import ExtendibleModelAdmin
from procedure_extensions.models import Assistance

class AssistanceAdmin(ExtendibleModelAdmin):
    fieldsets          = (
        (_('logs admin'), {
            'fields'  : ('creator', 'date_create', 'last_modifier', 'date_last_modify',),
            'classes': ('collapse',)
        }),
        (None           , {
            'fields'  : (
                'procedurerow', 'date_begin', 'date_end', 'category'
            )
        }),
    )
    use_fancybox = True

admin.site.register(Assistance, AssistanceAdmin)
