from django.db import models
from django.utils.translation import ugettext as _
from jumbo.db.models import UserModel, DateModel
from procedure.models import ProcedureRow

CATEGORY_CHOICES = (('f', 'Forfait'), ('s', 'Scalare'), ('c', 'Consuntivo'))
class Assistance(UserModel, DateModel):
    procedurerow = models.OneToOneField(ProcedureRow, related_name='assistance', verbose_name=_('Procedure Row'))
    date_begin = models.DateField(verbose_name=_("Date Bgin"))
    date_end = models.DateField(verbose_name=_("Date End"))
    category = models.CharField(max_length=1, choices=CATEGORY_CHOICES, verbose_name=_("Category"))