from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu
from jumbo.conf.admin_menu import GenericMenuItem
from jumbo.middleware.thread_local import get_current_user

def get_root_menu(children):
    user = get_current_user()
    if not user.has_perm("product.view_product"):
        return None

    root_menu = items.MenuItem(
        title=_('Products'),
        children=[],
        url = reverse('admin:product_product_changelist')
    )
    children.append(root_menu)

def add_extended_menuitems(children, current_app):
    gm = GenericMenuItem('product', ['product'])
    user = get_current_user()

    add_productcategory = items.MenuItem(
            title=_('Add category'),
            children=[],
            url = reverse('admin:product_productcategory_add')
        )

    list_productcategory = items.MenuItem(
            title=_('List categories'),
            children=[],
            url = reverse('admin:product_productcategory_changelist')
        )

    productcategory = items.MenuItem(
            title=_('Categories'),
            children=[],
            url = reverse('admin:product_productcategory_changelist')
        )

    if user.has_perm("productcategory.add_productcategory"):
        productcategory.children.append(add_productcategory)
    if user.has_perm("productcategory.view_productcategory"):
        productcategory.children.append(list_productcategory)
        gm.add_father(productcategory)

    menu = gm.get_menu()
    [ children.append(prod_menu) for prod_menu in menu ]

