from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu
from jumbo.conf.admin_menu import GenericMenuItem
from jumbo.middleware.thread_local import get_current_user

def get_root_menu(children):
    user = get_current_user()
    if not user.has_perm("quotation.view_quotation"):
        return None

    root_menu = items.MenuItem(
        title=_('Quotations'),
        children=[],
        url = reverse('admin:quotation_quotation_changelist')
    )
    children.append(root_menu)

def add_extended_menuitems(children, current_app):
    gm = GenericMenuItem(current_app, [])
    user = get_current_user()
    # FIGLI DI CUSTOMER_QUOTATION
    add_customer_quotation = items.MenuItem(
        title=_('Add quotation'),
        children=[],
        url = reverse('admin:quotation_quotation_add')
    )
    list_customer_quotation = items.MenuItem(
        title=_('List quotations'),
        children=[],
        url = reverse('admin:quotation_quotation_changelist')
     )
    accepted_customer_quotation = items.MenuItem(
        title=_('Accepted quotations'),
        children=[],
        url = '%s?accepted=1' % reverse('admin:quotation_quotation_changelist')
    )
    not_accepted_customer_quotation = items.MenuItem(
        title=_('Not accepted quotations'),
        children=[],
        url = '%s?accepted=0' % reverse('admin:quotation_quotation_changelist')
    )
    customer_quotation_row= items.MenuItem(
        title=_('Quotation rows'),
        children=[],
        url = reverse('admin:quotation_quotationrow_changelist')
    )
    # PADRE CUSTOMER_QUOTATON
    customer_quotation=items.MenuItem(
        title=_('Customer quotation'),
        children=[],
        url = reverse('admin:quotation_quotation_changelist')
    )

    if user.has_perm('quotation.add_customer_quotation'):
        customer_quotation.children.append(add_customer_quotation)
    if user.has_perm('quotation.view_customer_quotation'):
        customer_quotation.children.append(list_customer_quotation)
        customer_quotation.children.append(accepted_customer_quotation)
        customer_quotation.children.append(not_accepted_customer_quotation)
    if user.has_perm('quotation.view_customer_quotationrow'):
        customer_quotation.children.append(customer_quotation_row)
    if user.has_perm('quotation.view_customer_quotation'):
        gm.add_father(customer_quotation)


    # FIGLI DI SUPPLIER_QUOTATION
    add_supplier_quotation = items.MenuItem(
        title=_('Add quotation'),
        children=[],
        url = reverse('admin:quotation_quotation_add')
    )
    list_supplier_quotation = items.MenuItem(
        title=_('List quotations'),
        children=[],
        url = reverse('admin:quotation_quotation_changelist')
    )
    accepted_supplier_quotation = items.MenuItem(
        title=_('Accepted quotations'),
        children=[],
        url = '%s?accepted=1' % reverse('admin:quotation_quotation_changelist')
    )
    not_accepted_supplier_quotation = items.MenuItem(
        title=_('Not accepted quotations'),
        children=[],
        url = '%s?accepted=0' % reverse('admin:quotation_quotation_changelist')
    )
    supplier_quotation_row= items.MenuItem(
        title=_('Quotation rows'),
        children=[],
        url = reverse('admin:quotation_quotationrow_changelist')
    )
    # PADRE SUPPLIER_QUOTATION
    supplier_quotation=items.MenuItem(
        title=_('Supplier quotation'),
        children=[],
        url = reverse('admin:quotation_quotation_changelist')
            )

    if user.has_perm('quotation.add_supplier_quotation'):
        supplier_quotation.children.append(add_supplier_quotation)
    if user.has_perm('quotation.view_customer_quotation'):
        supplier_quotation.children.append(list_supplier_quotation)
        supplier_quotation.children.append(accepted_supplier_quotation)
        supplier_quotation.children.append(not_accepted_supplier_quotation)
    if user.has_perm('quotation.view_supplier_quotationrow'):
        supplier_quotation.children.append(supplier_quotation_row)
    if user.has_perm('quotation.view_supplier_quotation'):
        gm.add_father(supplier_quotation)

    menu = gm.get_menu()
    [ children.append(quot_menu) for quot_menu in menu ]