"""
This code is heavily based on samples found here -
http://www.b-list.org/weblog/2006/06/14/django-tips-template-context-processors

It is used to add some common variables to all the templates
"""
from django.conf import settings as site_settings
from shop.models import Cart

def cart(request):
    cart = None
    cart_count = None
    contact = None
    agent = None
    try:
        contact = request.user.contact
    except:
        try:
            agent = request.user.agent
        except:
            pass

    if contact:
        try:
            cart = Cart.objects.get(customer__user=request.user)
            cart_count = cart.quantity_items
        except:
            pass

    elif agent:
        try:
            cart = Cart.objects.get(agent__user=request.user)
            cart_count = cart.quantity_items
        except:
            pass
        
    #all_categories = Category.objects.by_site()

    ctx = {
        'cart_count': cart_count,
        'cart': cart,
    }
    return ctx
