# -*- coding: utf-8 -*-
from django.db.models.signals import post_save, pre_save, post_delete
from procedure.models import ProcedureRow

def save_previous_qty(sender, instance, **kwargs):
    try:
        previous_qty = ProcedureRow.objects.get(pk=instance.pk).quantity
    except Exception:
        previous_qty = 0
    instance.previous_qty = previous_qty
pre_save.connect(save_previous_qty, sender=ProcedureRow)

def update_availability_shop_product(sender, instance, created, **kwargs):
    if hasattr(instance.product, 'shop_info'):
        diff_qty = instance.previous_qty - instance.quantity
        if diff_qty:
            instance.product.shop_info.availability = instance.product.shop_info.availability + diff_qty
            instance.product.shop_info.save()
post_save.connect(update_availability_shop_product, sender=ProcedureRow)

def update_availability_shop_product_delete(sender, instance, **kwargs):
    if hasattr(instance.product, 'shop_info'):
        instance.product.shop_info.availability = instance.product.shop_info.availability + instance.quantity
        instance.product.shop_info.save()
post_delete.connect(update_availability_shop_product_delete, sender=ProcedureRow)