from django import template
from django.conf import settings
from django.utils.importlib import import_module

from shop.models import Reservation

register = template.Library()

class GetListUserReservationNode(template.Node):
    def __init__(self, name):
        self.name = name

    def render(self, context):
        request = context['request']
        context[self.name] = Reservation.objects.filter(creator=request.user)
        return ''

@register.tag
def get_list_user_reservation(parser, token):
    args = token.split_contents()
    if len(args) != 3 and args[1] != 'as':
        raise template.TemplateSyntaxError, "'get_list_user_reservation' requires 'as variable' (got %r)" % args
    return GetListUserReservationNode(args[2])