# -*- coding: utf-8 -*-

from django.conf.urls.defaults import *
from django.core.urlresolvers import reverse
from django.views.generic.simple import direct_to_template
from jumbo.views.generic.simple import direct_to_template_login_required
from shop.models import Discount

urlpatterns = patterns('',
    url(r'^$'                                             , 'shop.views.catalog'
                                                          , {'template_name': 'shop/catalog.html'}
                                                          , name ='shop_catalog'),
    url(r'^cart/$'                                        , direct_to_template_login_required
                                                          , {'template': 'shop/cart.html'}
                                                          , name='shop_cart_list'),

    url(r'^cart/add/$'                                    , 'shop.views.add_to_cart_from_request'
                                                          , name='shop_add_to_cart_from_request'),
    url(r'^cart/add/redirect/$',
            'shop.views.add_to_cart_from_request',
            {'redirect_to_referer': True},
            name='shop_add_to_cart_from_request_redirect_to_referer'
    ),


    url(r'^cart/add/(?P<shop_product_id>\d+)/$'           , 'shop.views.add_to_cart'
                                                          , name='shop_add_to_cart'),
    url(r'^cart/add/(?P<shop_product_id>\d+)/redirect/$'  , 'shop.views.add_to_cart'
                                                          , {'redirect_to_referer': True}
                                                          , name='shop_add_to_cart_redirect_to_referer'),

    url(r'^cart/cartitem/(?P<cartitem_id>\d+)/change_quantity/$', 
            'shop.views.change_cartitem_quantity', 
            name='shop_change_cartitem_quantity_redirect_to_referer'
    ),

    #url(r'^cart/add/discount/(?P<discount_id>\d+)/$'           , 'shop.views.add_discount_to_cart'
    #                                                           , name='shop_add_discount_to_cart'),
    #url(r'^cart/add/discount/(?P<discount_id>\d+)/redirect/$'  , 'shop.views.add_discount_to_cart'
    #                                                           , {'redirect_to_referer': True}
    #                                                           , name='shop_add_discount_to_cart_redirect_to_referer'),


    url(r'^cart/empty/$'                                  , 'shop.views.empty_cart'
                                                          ,  name='shop_empty_cart'),

    url(r'^cart/remove/(?P<item_id>\d+)/$'                , 'shop.views.remove_from_cart'
                                                          , name='shop_remove_from_cart'),
    url(r'^cart/remove/(?P<item_id>\d+)/redirect/$'       , 'shop.views.remove_from_cart'
                                                          , {'redirect_to_referer': True}
                                                          , name='shop_remove_from_cart_redirect_to_referer'),

    url(r'^order/confirm/$',
                'shop.views.order_confirm',
                name='shop_order_confirm'
    ),
    url(r'^order/buy/$',
                'shop.views.order_buy',
                name='shop_order_buy'
    ),
    url(r'^order/(?P<order_id>\d+)/detail/$'               ,'shop.views.order_detail',
                                                            name='shop_order_detail'
    ),

    url(r'^discount/$'                                    , 'shop.views.list_discount'
                                                          , name='shop_discount_list'),

    url(r'^reservation/(?P<discount_id>\d+)/$'            , 'shop.views.list_reservation'
                                                          , name='shop_reservation_list'),
    url(r'^reservation/add/$'                             , 'shop.views.add_reservation'
                                                          , name="shop_reservation_add"),
    url(r'^reservation/remove/(?P<reservation_id>\d+)/$'  , 'shop.views.delete_reservation'
                                                          , name="shop_reservation_delete"),

    url(r'^(?P<parent_slugs>([-\w]+/)*)(?P<slug>[-\w]+)/$', 'shop.views.shopcategory_detail'
                                                          , {'template_name': 'shop/category_detail.html'}
                                                          , name ='shop_shopcategory_detail'),

#    url(r'^$', 'shop.views.category', {'template_name': 'shop/category.html'}, name='shop-index'),
#    url(r'^category/(?P<id>\d+)/$', 'shop.views.category', {'template_name': 'shop/category.html'}, name='shop-category'),
#    url(r'^product/(?P<id>\d+)/$', 'shop.views.product_detail', {'template_name': 'shop/product.html'}, name='shop-product-detail'),
#    url(r'^cart/add/(?P<id>\d+)/$', 'shop.views.add_to_basket', name='shop-add-to-basket'),
#    url(r'^cart/sub/(?P<id>\d+)/$', 'shop.views.sub_from_basket', name='shop-sub-from-basket'),
#    url(r'^cart/change/(?P<id>\d+)/$', 'shop.views.basket_change', name='shop-basket-change'),
#    url(r'^cart/remove/(?P<id>\d+)/$', 'shop.views.remove_from_basket', name='shop-remove-from-basket'),
#    url(r'^cart/totals/$', 'shop.views.basket_totals', {'template_name': 'shop/basket_totals.html'}, name='shop-basket-totals'),
#    url(r'^cart/buy/$', 'shop.views.buy_confirm', name='shop-buy'),
#    url(r'^cart/del/$', 'shop.views.del_basket', name='shop-basket-del'),

#    url(r'^order/list/$', 'shop.views.order_list', {'template_name': 'shop/order_list.html'}, name='shop-order-list'),
#    url(r'^orderrow/list/(?P<id>\d+)/$', 'shop.views.order_row_list', {'template_name': 'shop/order_row_list.html'}, name='shop-order-row-list'),
#    url(r'^order/last/$', 'shop.views.order_last', {'template_name': 'shop/order_list.html'}, name='shop-order-last'),
#    url(r'^order/error/$', 'shop.views.shop_error', {'template_name': 'shop/error.html'}, name='shop-error'),
)

