from django import forms
from django.utils.translation import ugettext_lazy as _
from django.forms.util import ValidationError, ErrorList
from django.utils.encoding import force_unicode
from django.conf import settings

from jumbo.forms import ModelForm, ModelSearchForm, DateWidget

from store.models import Store, StoreCause, StoreDocument, StoreDocumentNumber

### ADD/EDIT FORM
class StoreForm(ModelForm):
    class Meta:
        model = Store

class StoreCauseForm(ModelForm):
    class Meta:
        model = StoreCause

class StoreDocumentForm(ModelForm):
    class Meta:
        model = StoreDocument

class StoreDocumentNumberForm(ModelForm):
    class Meta:
        model = StoreDocumentNumber

### SEARCH FORM
class StoreSearchForm(ModelSearchForm):
    class Meta:
        model = Store
        fields = ('code', 'name')
        search_fields = {
            'name': 'istartswith',
        }

class StoreCauseSearchForm(ModelSearchForm):
    class Meta:
        model = StoreCause
        fields = ('code', 'name', 'move', 'store', 'stock', 'busy')
        search_fields = {
            'code':         'istartswith',
            'name':         'istartswith',
            'store':        'exact',
            'move':         'exact',
            'stock':        'exact',
            'busy':         'exact',
        }

class StoreDocumentSearchForm(ModelSearchForm):
    class Meta:
        model = StoreDocument
        fields = ('code', 'name')

class StoreDocumentNumberSearchForm(ModelSearchForm):
    class Meta:
        model = StoreDocumentNumber
        fields = ('application', 'year', 'store_document')
        search_fields = {
            'store_document':   'exact',
            'application':      'exact',
            'year':             'exact',
        }
