from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu
from jumbo.conf.admin_menu import GenericMenuItem
from jumbo.middleware.thread_local import get_current_user

def get_root_menu(children):
    user = get_current_user()
    if not user.has_perm("store.view_store"):
        return None

    root_menu = items.MenuItem(
        title=_('Stores'),
        children=[],
        url = reverse('admin:store_store_changelist')
    )
    children.append(root_menu)

def add_extended_menuitems(children, current_app):
    generic_menu = GenericMenuItem(current_app, ['store', 'storedocument', 'storecause', 'storedocumentnumber'])
    user = get_current_user()
    menu = generic_menu.get_menu()
    [ children.append(store_menu) for store_menu in menu ]