from django.contrib import admin
from django.utils.translation import ugettext_lazy as _

from jumbo.db.forms import AdminModelForm, OrderedModelAdmin
from trace.models import SerialNumber, BatchNumber

class SerialNumberAdminForm(AdminModelForm):
    class Meta:
        model = SerialNumber

class SerialNumberAdmin(admin.ModelAdmin):
    form = SerialNumberAdminForm
    list_per_page = 30
    fieldsets = (
        (_('logs admin'), {'fields': ('creator', 'date_create','last_modifier', 'date_last_modify',), 'classes': ('collapse',)}),
        (None, {'fields': ('procedurerow', 'serial_number')}),
    )
    search_fields = ('creator', 'date_create','last_modifier', 'date_last_modify', 'product', 'procedurerow', 'serial_number')
    list_display = ('product', 'procedurerow', 'serial_number')
    list_display_links = ('serial_number',)

admin.site.register(SerialNumber, SerialNumberAdmin)
