from django.contrib import admin
from django.utils.translation import ugettext_lazy as _

from jumbo.db.forms import AdminModelForm
from wallet.models import Wallet

class WalletAdminForm(AdminModelForm):
    class Meta:
        model = Wallet
class WalletAdmin(admin.ModelAdmin):
    form = WalletAdminForm
    list_per_page = 30
    fieldsets = (
        (_('logs admin'), {'fields': ('date_create', 'date_last_modify',), 'classes': ('collapse',)}),
        (None, {'fields': ('user', 'total',),},),
    )
    list_display = ('user', 'total',)
    list_display_links = ('user',)
admin.site.register(Wallet, WalletAdmin)

