from django.db import models
from django.db import IntegrityError
from django.utils.translation import ugettext_lazy as _
from django.contrib.auth.models import User
from jumbo.db.models import DateModel

class Wallet(DateModel):
    user = models.ForeignKey(
        User,
        unique=True,
        related_name='wallets',
        verbose_name=_('User'),
    )
    total = models.DecimalField(
        max_digits=9,
        decimal_places=2,
        default=0,
        verbose_name=_('Total'),
    )

    class Meta:
        verbose_name = _('Wallet')
        verbose_name_plural = _('Wallets')

    def __unicode__(self):
        return u'%s: %s' % (self.user, self.total)

    def save(self, *args, **kwargs):
        if self.total < 0:
            raise IntegrityError, 'Total cannot be negative'
        super(Wallet, self).save(*args, **kwargs)

